import Color from "../../system/Color";
import { Font } from "../../system/Font";
import { StiEditableContent } from "../../system/interfaces";
export declare class StiOptionItem implements StiEditableContent {
    element: any;
    index: number;
    get eFont(): Font;
    set eFont(value: Font);
    get eColor(): Color;
    set eColor(value: Color);
    haveBackgoundColor(): boolean;
    haveContentAlignment(): boolean;
    haveVerticalAlignment(): boolean;
    htmlStyle(): string;
    private value;
    set eValue(value: string);
    get eValue(): string;
    constructor(value: string, element: any, index: number);
}
